# Class SwingShape

java.lang.Object
com.treemap.swing.tagcloud.SwingShape

All Implemented Interfaces:
  `com.macrofocus.geom.Shape`

public class SwingShape extends Object implements com.macrofocus.geom.Shape

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingShape(Shape outline)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(com.macrofocus.geom.Point2D point)`
  `com.macrofocus.geom.Rectangle2D`
  `getBounds2D()`
  `com.macrofocus.geom.PathIterator`
  `getFlattenPathIterator(double flatness)`
  `com.macrofocus.geom.PathIterator`
  `getPathIterator()`
  `com.macrofocus.geom.PathIterator`
  `getPathIterator(com.macrofocus.geom.AffineTransform at)`
  `boolean`
  `intersects(com.macrofocus.geom.Rectangle2D rect)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.geom.Shape

  `getBounds`

- ## Constructor Details

  - ### SwingShape

    public SwingShape(Shape outline)

- ## Method Details

  - ### getBounds2D

    public com.macrofocus.geom.Rectangle2D getBounds2D()
    Specified by:
      `getBounds2D` in interface `com.macrofocus.geom.Shape`

  - ### contains

    public boolean contains(com.macrofocus.geom.Point2D point)
    Specified by:
      `contains` in interface `com.macrofocus.geom.Shape`

  - ### intersects

    public boolean intersects(com.macrofocus.geom.Rectangle2D rect)
    Specified by:
      `intersects` in interface `com.macrofocus.geom.Shape`

  - ### getPathIterator

    public com.macrofocus.geom.PathIterator getPathIterator()
    Specified by:
      `getPathIterator` in interface `com.macrofocus.geom.Shape`

  - ### getPathIterator

    public com.macrofocus.geom.PathIterator getPathIterator(com.macrofocus.geom.AffineTransform at)
    Specified by:
      `getPathIterator` in interface `com.macrofocus.geom.Shape`

  - ### getFlattenPathIterator

    public com.macrofocus.geom.PathIterator getFlattenPathIterator(double flatness)
    Specified by:
      `getFlattenPathIterator` in interface `com.macrofocus.geom.Shape`